import * as plugins from './plugins.js';
import * as paths from './paths.js';
import { PlatformServiceDb } from './classes.platformservicedb.js'

export class SzPlatformService {
  public projectinfo: plugins.projectinfo.ProjectInfo;
  public serviceQenv = new plugins.qenv.Qenv('./', './.nogit');
  public platformserviceDb: PlatformServiceDb;
  
  public typedserver: plugins.typedserver.TypedServer;
  public typedrouter = new plugins.typedrequest.TypedRouter();

  public async start() {
    this.platformserviceDb = new PlatformServiceDb(this);
    this.projectinfo = new plugins.projectinfo.ProjectInfo(paths.packageDir);
    this.typedserver = new plugins.typedserver.TypedServer({
      cors: true,
    });
    await this.typedserver.start();
  }
}